Loading...
Searching...
No Matches
CustomFactor.h File Reference

Class to enable arbitrary factors with runtime swappable error function. More...

Go to the source code of this file.

## Classes

class | gtsam::CustomFactor

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::JacobianVector = std::vector<Matrix>
using | gtsam::CustomErrorFunction = std::function<Vector(const CustomFactor &, const Values &, const JacobianVector *)>

## Detailed Description

Class to enable arbitrary factors with runtime swappable error function.

Author
  Fan Jiang